Bug 6360 - [UPDATE REQUEST] kernel 4.1.13
: [UPDATE REQUEST] kernel 4.1.13
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 20:46 MSK by Eugene Shatokhin
Modified: 2015-11-30 20:59 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-11-22 20:46:47 MSK
Kernel series 4.1.x becomes the official one.

For those who still need kernel 3.14.x, it is available in the separate (unofficial) repositories:

x64: http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/rosa2014.1/x86_64/kernel_3_14/release/
i586: http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/rosa2014.1/i586/kernel_3_14/release/

[IMPORTANT]
Starting from kernel versions 4.1.13 and 3.14.57, it is possible to receive the kernel updates for the given kernel series (officially supported or not), no matter which other series are available. I mean, you can get updates for the kernel 4.1.x that you use, even if 4.2.x is available in the enabled repositories.  This might be convenient if you wish to stick to the given kernel series.

To enable this functionality for, say, kernel 4.1.x, it is needed to do the following:

1. Remove kernel-nrj-desktop-latest, kernel-nrj-desktop-devel-latest packages.
2. Install kernel-nrj-desktop-4.1-latest and kernel-nrj-desktop-4.1-devel-latest.

That is it. The procedure is similar for the other kernel flavours (nrj-laptop, nrj-laptop-pae, nrj-desktop-pae) and other kernel series, e.g. 3.14.x.
------------------

Notes

When installing or removing the proprietary graphics drivers with XFdrake, it may ask you to install kernel-*-devel-latest. You may safely click "Cancel" there and the installation will continue normally (bug #6359).
Comment 1 Eugene Shatokhin 2015-11-22 20:49:52 MSK
Advisory:
Kernel 4.1.x becomes the official one, starting from version 4.1.13, instead of the 3.14.x series. Those who still wish to use the latter, can get it from the unofficial repositories.


Build lists:
i586:
https://abf.io/build_lists/2600348

x86_64:
https://abf.io/build_lists/2600349
Comment 2 Vladimir Potapov 2015-11-24 20:09:24 MSK
The update is sent to expanded testing
***************************************
Comment 3 Vladimir Potapov 2015-11-30 15:52:18 MSK
kernel-4.1.13-1
https://abf.io/build_lists/2600348
https://abf.io/build_lists/2600349
************************* Advisory ***************************
Kernel 4.1.x becomes the official one, starting from version 4.1.13, instead of the 3.14.x series. Those who still wish to use the latter, can get it from the unofficial repositories.
**************************************************************
QA Verified